#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# 5724-T40
# 5724-S94
#
# (C) Copyright IBM Corp. 2010.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
############################################################################### 
PATH=/usr/sadm/bin:${PATH}  # admin utils e.g puttext

if [ -f /etc/tlmagent.ini ] ; then
   { while read fline ; do
		fline=`echo $fline | tr -d '[:space:]'`
		fline=`echo $fline | sed 's,#.*,,'`
		fline=`echo $fline | grep "="`
		if [ "$fline" = "" ] ; then
			continue
		fi
		property=`echo $fline  | sed 's,=.*,,' `
		if [ "$property" = "agent_base_dir" ] ; then
			ILMT_INSTALL_PATH=`echo $fline | sed 's,.*=,,'`
			if [ "$ILMT_INSTALL_PATH" = "" ] ; then
				puttext "Error: Parameter agent_base_dir value is blank."
				exit 1
			else
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1025 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1026 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1046 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1047 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1089 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1097 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1112 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1116 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1117 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1122 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1124 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1129 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1140 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1141 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1142 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1143 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1144 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1145 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1146 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1147 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1148 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1149 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1250 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1251 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1252 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1253 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1254 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1255 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1256 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1257 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1258 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1363 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1381 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1386 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/1388 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/273 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/274 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/277 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/278 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/280 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/282 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/284 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/285 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/297 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/37 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/420 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/424 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/437 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/500 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/5601 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/646 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/720 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/737 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/775 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/803 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/813 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/819 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/838 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/850 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/851 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/852 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/855 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/856 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/857 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/858 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/859 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/860 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/861 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/862 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/863 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/864 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/865 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/866 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/867 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/869 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/870 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/871 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/874 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/875 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/878 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/912 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/914 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/915 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/916 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/920 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/921 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/922 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/923 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/924 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/930 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/932 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/933 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/935 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/936 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/937 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/939 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/942 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/943 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/949 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/950 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ANSI1251 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ANSIX341968 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ARABIC8 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/BIG5 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/CNS11643 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/CP1251 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/CP1255 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/EUCCN f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/EUCJP f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/EUCKR f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/EUCTW f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/GB18030 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/GB2312 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/GBK f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/HP15CN f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88591 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO885913 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO885914 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO885915 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88592 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88594 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88595 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88596 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88597 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88598 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ISO88599 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/JAJPEUC f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/KOI8R f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/PCK f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/ROMAN8 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/SHIFTJIS f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/SJIS f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/TIS620 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/codeset/TIS6202533 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/cs d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/cs/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/de d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/de/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/en d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/en/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/en_US d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/en_US/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/es d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/es/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/fr d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/fr/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/hu d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/hu/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/it d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/it/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ja d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ja/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ko d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ko/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/pl d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/pl/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/pt_BR d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/pt_BR/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ru d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/ru/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/zh_CN d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/zh_CN/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/zh_TW d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/nls/zh_TW/tlmagt.cat f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/bin/gsk7capicmd f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/bin/gsk7cmd f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/bin/gsk7ikm f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/bin/gsk7ver f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/bin/private_verifyinstall f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/cfwk.sec f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/gsk7cls.jar f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/gsk_java.security  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/ikeycmd.properties  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/ikmerr.sample  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/ikmgui.sample  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/ikminit.properties  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/classes/ikmuser.sample  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/copyright  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/icc/ReadMe.txt  f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/icc/icclib/libicclib.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/icc/osslib/libcrypto.so.0.9.7 f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7acmeidup.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7cms.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7dbfl.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7drld.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7iccs.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7kicc.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7kjni.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7km.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7krnc.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7krrb.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7krsw.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7msca.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7p11.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7ssl.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7sys.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/lib/libgsk7valn.so f 0644 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/gskit/private_postinstall f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/tlmagent f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/tlmagent.bin f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/tlmunins.sh f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/utilities d 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/utilities/agent_backup.sh f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/utilities/agent_unins.sh f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/utilities/codesetnls_backup.sh f 0755 root root >/dev/null 2>&1
				installf  -c none ILMT-TAD4D-agent $ILMT_INSTALL_PATH/utilities/gskit_backup.sh f 0755 root root >/dev/null 2>&1
				puttext "Update ILMT_INSTALL_PATH contents successful."
				
			fi
		fi
	done } < "/etc/tlmagent.ini"
fi
